//getBeginCartonApi
import { getSerialNumberApi, getBeginCartonApi } from "@/api/modules/boxCode";
import { cloneDeep } from "lodash-es";
import { FORM_TABLE_DATA_INIT } from "../constant/list";
import { msgHtml } from "./msgHtml";
const getBeginCarton = async (boxId: any) => {
    const result = await getBeginCartonApi({ boxId });
    if (result.status === 200) {
    }
};
//根据序列号远程获取序列号信息
export const getSerialNumber = async (serialNumber: any, index: number, datas: any, formTableRef: any, orgCode: any) => {
    let length = datas.formTableData.length;
    for (let i = 0; i < length; i++) {
        if (i !== index && datas.formTableData[i].serialNumber === serialNumber) {
            datas.formTableData[index]["serialNumber"] = "";
            formTableRef.value.inputElement[index].focus();
            msgHtml("此序列号已扫描,无需再次扫描 !");
            return;
        }
    }
    console.log(orgCode, "=orgCode=");
    const result = await getSerialNumberApi({ serialNumber, orgCode });
    if (result.status === 200) {
        let data: any = result.data;
        if (!data) {
            datas.formTableData[index]["serialNumber"] = "";
            formTableRef.value.inputElement[0].focus();
            msgHtml(result.message);
            return;
        }
        if (data?.isCarton) {
            datas.formTableData[index]["serialNumber"] = "";
            formTableRef.value.inputElement[0].focus();
            msgHtml("此序列号已装箱, 不能再次装箱 !");
            return;
        }

        //当前行复制
        datas.formTableData[index] = data;
        datas.formTableData[index].disabled = true;
        //当第一次添加行的时候需要调用这个接口通知后端修改装箱时间
        if (datas.formTableData.length === 1) {
            getBeginCarton(datas.boxBillNoObj.id);
        }
        //0位置添加一个空白行
        datas.formTableData.unshift(cloneDeep(FORM_TABLE_DATA_INIT));
        nextTick(() => {
            formTableRef.value.inputElement[0].focus();
        });
    } else {
        datas.formTableData[index]["serialNumber"] = "";
        formTableRef.value.inputElement[0].focus();
        msgHtml(result.message);
    }
};
